Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.support
Class InterfaceListenerAdapter

    java.lang.Object
      com.eviware.soapui.model.support.InterfaceListenerAdapter

All Implemented Interfaces:
  InterfaceListener

Direct Known Subclasses:
  WsdlTestRequestStep.InternalInterfaceListener

    public class InterfaceListenerAdapter

extends java.lang.Object
implements InterfaceListener

Adapter for InterfaceListener implementations

Author:
  Ole.Matzura

Constructor Summary
`InterfaceListenerAdapter()`

Method Summary
`void` | `operationAdded(Operation operation)`
`void` | `operationRemoved(Operation operation)`
`void` | `operationUpdated(Operation operation)`
`void` | `requestAdded(Request request)`
`void` | `requestRemoved(Request request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterfaceListenerAdapter

    public InterfaceListenerAdapter()

Method Detail

### operationAdded

    public void operationAdded(Operation operation)

  Specified by:
    `operationAdded` in interface `InterfaceListener`

### operationRemoved

    public void operationRemoved(Operation operation)

  Specified by:
    `operationRemoved` in interface `InterfaceListener`

### requestAdded

    public void requestAdded(Request request)

  Specified by:
    `requestAdded` in interface `InterfaceListener`

### requestRemoved

    public void requestRemoved(Request request)

  Specified by:
    `requestRemoved` in interface `InterfaceListener`

### operationUpdated

    public void operationUpdated(Operation operation)

  Specified by:
    `operationUpdated` in interface `InterfaceListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.